Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Syntax.Literal

# Documentation

data Literal

Constructors

LitInt Range Integer |
LitFloat Range Double |
LitString Range String |
LitChar Range Char |
LitQName Range QName |

Instances

Eq Literal |
Ord Literal |
Show Literal |
Typeable Literal |
Pretty Literal |
KillRange Literal |
SetRange Literal |
HasRange Literal |
PrettyTCM Literal |
EmbPrj Literal |
GenC Literal |
Reify Literal Expr |
ShrinkC Literal Literal |